<?php
/*======================================================================*\
|| #################################################################### ||
|| # Package - YJ Reservations									        ||
|| # Copyright (C) 2010  Youjoomla.com. All Rights Reserved.            ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
// making sure
$js_check = 0;
if(isset($_POST['js_is_disabled']))
	$js_check = $_POST['js_is_disabled'];
if ($js_check == 1) {
	echo ' Javascript is disabled on your system';
	exit();
}
///// now continue
if(isset($_POST['sendyjreservation'])){

	define( '_JEXEC', 1 ); 
	header("Content-Type: application/json");
	$get_file_info  = pathinfo(__FILE__);
	$jpath = preg_replace('/(\btemplates\b|\bmodules\b|\bcomponents\b|\bplugins\b)(.*)/','',$get_file_info['dirname']);
	
	define('JPATH_BASE',rtrim($jpath,DIRECTORY_SEPARATOR));
	
	require_once ( JPATH_BASE .DIRECTORY_SEPARATOR.'includes'.DIRECTORY_SEPARATOR.'defines.php' );
	require_once ( JPATH_BASE .DIRECTORY_SEPARATOR.'includes'.DIRECTORY_SEPARATOR.'framework.php' );

	
	$mainframe = JFactory::getApplication('site');
	$mainframe->initialise();
	$session =  JFactory::getSession();
	
	$lang =  JFactory :: getLanguage();
	$lang->load('mod_yj_reservations', JPATH_BASE);
	jimport( 'joomla.methods' );
	jimport( 'joomla.application.module.helper' );
	jimport( 'joomla.html.parameter' );
	jimport('joomla.session.session');

		// nothing goes pass this
		if(intval(JVERSION) >= 3 ){
			JSession::checkToken() or jexit( '{"error":"Invalid Token"}' );
		}else{
			JRequest::checkToken() or jexit( '{"error":"Invalid Token"}' );
		}
		// get params
		$db		= JFactory::getDBO();
		$query = "SELECT params"
		. "\n FROM #__modules "
		. "\n WHERE module REGEXP 'mod_yj_reservations'";
		$db->setQuery( $query );
		$row = $db->loadResult();
		$jinput = JFactory::getApplication()->input;
		$params = new JRegistry ( $row );
		
		require_once('PHPMailer.class.php');
		$mail = new PHPMailer();

		
		/**
		 * continue with mail
		 */
		if($params->get('use_smtp') == 'smtp'){
		  $mail->IsSMTP();
		  $mail->Host 			= $params->get('smtp_host');
		  $mail->Port 			= $params->get('smtp_port'); 
		  $mail->Username 		= $params->get('smtp_username');
		  if($params->get('smtp_auth') == 1){
		  	$mail->SMTPAuth 		= true;
		  	$mail->Password 		= $params->get('smtp_pass');
		  }
		}else{
		  $mail->IsMail();
		}
		  $mail->CharSet		= $params->get('mail_charset');
		  $mail->From 			= $params->get('from_email');
		  $mail->FromName 		= $jinput->post->get('first_name','', 'WORD').' '.$jinput->post->get('surname','', 'WORD');
		  $mail->Subject 		= $params->get('email_subject', 'New Reservation');
		  $mail->AddAddress($params->get('your_email'));
		  $mail->AddReplyTo($jinput->post->get('res_email'));
			
			
		/**
		 * e-mail body
		 */
		$add_info =strip_tags($jinput->post->get('res_msg',false,'STRING'));
		$body = array();
		$body[] = '<table width="500" style="font-family:verdana; font-size:12px;">';
		$body[] = '<tr><td>'.JText::_('YJRES_NAME').':</td><td>'.$jinput->post->get('res_name','', 'STRING').'</td></tr>';
		$body[] = '<tr><td>'.JText::_('YJRES_PHONE').':</td><td>'.$jinput->post->get('res_phone').'</td></tr>';
		$body[] = '<tr><td>'.JText::_('YJRES_EMAIL').':</td><td>'.$jinput->post->get('res_email','', 'STRING').'</td></tr>';
		$body[] = '<tr><td>'.JText::_('YJRES_PARTY').':</td><td>'.$jinput->post->get('res_party').'</td></tr>';
		$body[] = '<tr><td>'.JText::_('YJRES_DATE').':</td><td>'.$jinput->post->get('res_date').'</td></tr>';
		$body[] = '<tr><td>'.JText::_('YJRES_TIME').':</td><td>'.$jinput->post->get('res_time','', 'STRING').'</td></tr>';
		$body[] = '<tr><td>'.JText::_('YJRES_MSG').':</td><td>'.nl2br($add_info).'</td></tr>';
		$body[] = '</table>';		
		
		$mail->IsHTML(true);
		$mail->Body = implode("\n",$body);
		require('JSON.class.php');
		if($mail->Send() ){
			$response = array('success'=> $params->get('sentmsg1'));
			$json = new JSON($response);
			echo $json->result;
			exit();
		}else{
			$response = array('error'=>''.$mail->ErrorInfo.'');
			$json = new JSON($response);
			echo $json->result;
			exit();
		}
		
	}