<?php
/**
* @package      YJ Reservations
* @copyright    Copyright(C) since 2007  Youjoomla.com. All Rights Reserved.
* @author       YouJoomla
* @license      http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
* @websites     http://www.youjoomla.com | http://www.yjsimplegrid.com
*/

defined( '_JEXEC' ) or die( 'Restricted access' ); ?>
<!-- http://www.youjoomla.com YJ Reservation for Joomla -->
<div id="yj_reservations<?php echo $module->id?>" class="yj_reservations">
	<form id="yjreservations<?php echo $module->id?>" name="yjreservations"  method="post" action="<?php echo $uri; ?>">
		<div class="res-form-group">
			<div class="res-form-group-inline">
				<div class="res-form-element">
					<label for="res_date"><?php echo JText::_('YJRES_DATE') ?></label>
					<input name="res_date" id="res_date" class="res_date" type="text" value=""  placeholder="<?php echo JText::_('YJRES_DATE_CLICK') ?>" data-validation-engine="validate[required]" />
				</div>
				<div class="res-form-element">
					<label for="res_party"><?php echo JText::_('YJRES_PARTY') ?></label>
					<input type="text"  name="res_party" id="res_party"  value=""   data-validation-engine="validate[required,custom[number],maxSize[20]" />
				</div>
			</div>
			<div class="res-form-element">
				<label for="res_time"><?php echo JText::_('YJRES_TIME') ?></label>
				<input name="res_time" id="res_time" class="res_time" type="text" value="" placeholder="<?php echo JText::_('YJRES_TIME_CLICK') ?>" data-validation-engine="validate[required]" />
			</div>
			<div class="res-form-element">
				<label for="res_phone"><?php echo JText::_('YJRES_PHONE') ?></label>
				<input type="text"  name="res_phone" id="res_phone"  value=""   data-validation-engine="validate[required,custom[phone]" />
			</div>
		</div>
		<div class="res-form-group">
			<div class="res-form-group-inline">
				<div class="res-form-element">
					<label for="res_name"><?php echo JText::_('YJRES_NAME') ?></label>
					<input type="text"  name="res_name" id="res_name"  value=""   data-validation-engine="validate[required,custom[onlyLetterSp],maxSize[100]" />
				</div>
				<div class="res-form-element">
					<label for="res_email"><?php echo JText::_('YJRES_EMAIL') ?></label>
					<input type="text"  name="res_email" id="res_email"  value=""   data-validation-engine="validate[required,custom[email]]" />
				</div>
			</div>
			<div class="res-form-element">
				<label for="res_msg"><?php echo JText::_('YJRES_MSG') ?></label>
				<textarea name="res_msg" id="res_msg"  rows="4"></textarea>
			</div>
		</div>
		<input type="submit" name="res_send" id="res_send" value="<?php echo JText::_('YJRES_SEND') ?>" />
		<div class="display-none">
			<input type="hidden" name="sendyjreservation"/>
			<noscript>
			<input name="js_is_disabled" type="hidden" value="1" />
			</noscript>
		</div>
		<?php echo JHTML::_( 'form.token' ); ?>
	</form>
	<div class="res-form-group-progress blue stripes">
		<span class="res-form-group-progress-bar"></span>
	</div>
</div>
<!-- http://www.youjoomla.com YJ Reservation for Joomla ends here -->