<?php
/**
 * @package		Youjoomla Extend Elements
 * @author		Youjoomla.com
 * @website     Youjoomla.com 
 * @copyright	Copyright (c) 2007 - 2010 Youjoomla.com.
 * @license   PHP files are GNU/GPL V2. CSS / JS / IMAGES are Copyrighted Commercial
 */

// Check to ensure this file is within the rest of the framework
defined('JPATH_BASE') or die();

/**
 * Renders a spacer element
 *
 * @package 	Joomla.Framework
 * @subpackage		Parameter
 * @since		1.5
 */

class JFormFieldyjspacer extends JFormField
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	
	var	$type = 'yjspacer';

public function getInput()
	//function fetchElement($name, $value, &$node, $control_name)
	{
		$value = $this->value;
		
		$infolink  		= $this->element['infolink'];
		$infolinktext  	= $this->element['infolinktext'];
		if(!empty($infolink)){
			$infolinkout= '<a class="infolink" href="'.$infolink.'" target="_blank">'.$infolinktext.'</a><br />';
		}else{
			$infolinkout=$this->infolink;
		}
		$options   = array ();
		$html ='<div class="yjspacer_holder '.$this->element['name'].'"><div class="yjspacer">'.JText::_($value).'</div></div>';
		$html .=$infolinkout;
		
		return $html;
	
	}
}
