<?php
/**
 * @package      YJ Reservations
 * @copyright    Copyright(C) since 2007  Youjoomla.com. All Rights Reserved.
 * @author       YouJoomla
 * @license      http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 only
 * @websites     http://www.youjoomla.com | http://www.yjsimplegrid.com
 */

// no direct access
defined('_JEXEC') or die('Restricted access');


	class YJReservations
	{
		
		static function YJReservationsItems($module,$params)
		{
			
			
			$document = JFactory::getDocument();

			
			$picker_lang       	= $params->get   ('picker_lang');
			$tips_lang         	= $params->get   ('tips_lang','jquery.validationEngine-en.js');
			$datepick_format	= $params->get   ('datepick_format','mmmm-dd-yyyy');
			$time_interval		= $params->get   ('time_interval',30);
			$time_format		= $params->get   ('time_format','h:i A');
			$time_min			= $params->get   ('time_min','9,30');
			$time_max			= $params->get   ('time_max','22,30');
			$tips_scroll		= $params->get   ('tips_scroll','true');
			$jq_on				= $params->get   ('jq_on',1);

			$document->addStyleSheet(JURI::base( true ) . '/modules/mod_yj_reservations/css/stylesheet.css');
			
			
			if($jq_on == 1){
				$document->addScript(JURI::base( true ).'/modules/mod_yj_reservations/src/jquery.noconflict.js');
				$document->addScript('//ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js');
			}
			$document->addScript(JURI::base( true ).'/modules/mod_yj_reservations/src/mod_yj_reservations.min.js');
			$document->addScript(JURI::base( true ).'/modules/mod_yj_reservations/src/languages/'.$tips_lang);
			if(!empty($picker_lang)){
				$document->addScript(JURI::base( true ).'/modules/mod_yj_reservations/src/translations/'.$picker_lang);
			}
			
			
			$js ='
			jQuery(document).ready(function() {
				
				jQuery("#yjreservations'.$module->id.'").YjReservations({
					
					base 		: \''.JURI::base().'\',	
					dateformat	: \''.$datepick_format.'\',
					interval	: '.$time_interval.',
					timemin		: ['.$time_min.'],
					timemax		: ['.$time_max.'],
					tipscroll	: '.$tips_scroll.',
					timeformat	: \''.$time_format.'\',				
					
					
				});
			});	
			';
			
			$document->addScriptDeclaration($js);

		
	}
}